package com.qmth.distributed.print.business.bean.params.analyze;

import io.swagger.annotations.ApiModelProperty;
import org.hibernate.validator.constraints.Range;

import javax.validation.constraints.NotNull;
import java.math.BigDecimal;
import java.util.List;

/**
 * @Description: 基础分析试卷定义
 * @Author: CaoZixuan
 * @Date: 2022-05-30
 */
public class GradePaperDefineParam {
    // 基础信息
    @ApiModelProperty(value = "试卷编号")
    @NotNull(message = "缺少试卷编号")
    private String paperNumber;

    @ApiModelProperty(value = "试卷类型")
    @NotNull(message = "缺少试卷类型")
    private String paperType;

    @ApiModelProperty(value = "试卷名称")
    @NotNull(message = "缺少试卷名称")
    private String paperName;

    // 试卷信息
    @ApiModelProperty(value = "卷面总分")
    @NotNull(message = "缺少卷面总分")
    private BigDecimal totalScore;

    @ApiModelProperty(value = "试卷及格分")
    @NotNull(message = "缺少试卷及格分")
    private BigDecimal passScore;

    // 二级维度定义
    @ApiModelProperty(value = "知识维度解释")
    @NotNull(message = "缺少知识维度解释")
    private String knowledgeInterpret;

    @ApiModelProperty(value = "能力维度解释")
    @NotNull(message = "缺少能力维度解释")
    private String abilityInterpret;

    @ApiModelProperty(value = "二级维度精熟度定义")
    @NotNull(message = "缺少二级维度精熟度定义")
//    @Range(min = 1L, message = "缺少二级维度精熟度定义")
    private List<GradeModuleKnowledgeDefineParam> gradeModuleKnowledgeDefineParamList;

    public String getPaperNumber() {
        return paperNumber;
    }

    public void setPaperNumber(String paperNumber) {
        this.paperNumber = paperNumber;
    }

    public String getPaperType() {
        return paperType;
    }

    public void setPaperType(String paperType) {
        this.paperType = paperType;
    }

    public String getPaperName() {
        return paperName;
    }

    public void setPaperName(String paperName) {
        this.paperName = paperName;
    }

    public BigDecimal getTotalScore() {
        return totalScore;
    }

    public void setTotalScore(BigDecimal totalScore) {
        this.totalScore = totalScore;
    }

    public BigDecimal getPassScore() {
        return passScore;
    }

    public void setPassScore(BigDecimal passScore) {
        this.passScore = passScore;
    }

    public String getKnowledgeInterpret() {
        return knowledgeInterpret;
    }

    public void setKnowledgeInterpret(String knowledgeInterpret) {
        this.knowledgeInterpret = knowledgeInterpret;
    }

    public String getAbilityInterpret() {
        return abilityInterpret;
    }

    public void setAbilityInterpret(String abilityInterpret) {
        this.abilityInterpret = abilityInterpret;
    }

    public List<GradeModuleKnowledgeDefineParam> getGradeModuleDefineParamList() {
        return gradeModuleKnowledgeDefineParamList;
    }

    public void setGradeModuleDefineParamList(List<GradeModuleKnowledgeDefineParam> gradeModuleKnowledgeDefineParamList) {
        this.gradeModuleKnowledgeDefineParamList = gradeModuleKnowledgeDefineParamList;
    }
}
